SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Zebra Vendors:   zebra.org
(Red Hat Issues Fix for Zebra) Quagga Bugs Let Remote Users Obtain or Modify Routing Information and Local Users Deny Service
SecurityTracker Alert ID:  1016208
SecurityTracker URL:  http://securitytracker.com/id/1016208
CVE Reference:   CVE-2006-2223, CVE-2006-2224, CVE-2006-2276   (Links to External Site)
Date:  Jun 2 2006
Impact:   Denial of service via local system, Disclosure of system information, Modification of system information
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Several vulnerabilities were reported in Quagga. A remote user can obtain sensitive routing information and modify routes. A local user can cause denial of service conditions. Zebra is affected.

RIPD does not properly validate or authenticate route table broadcasts [CVE-2006-2223]. A remote user can send a REQUEST packets to obtain potentially sensitive information (e.g., routing state). Konstantin V. Gavrilenko of Arhont Ltd reported this vulnerability.

RIPD does not properly enforce RIPv2 authentication requirements [CVE-2006-2224]. A remote user can send a RIPv1 RESPONSE packet to modify the routing state (and inject routes). Konstantin V. Gavrilenko of Arhont Ltd reported this vulnerability.

A local user can invoke a certain sh ip bgp command via the telnet interface to cause excessive CPU consumption [CVE-2006-2276]. Fredrik Widell reported this vulnerability.

Impact:   A remote user can obtain sensitive routing information and modify routes.

A local user can cause denial of service conditions.

Solution:   Red Hat has released a fix for Zebra, which is affected by these Quagga vulnerabilities.

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/zebra-0.91a-11.21AS.src.rpm
b6e01074d122bd8b5c4058fb38b7fec9 zebra-0.91a-11.21AS.src.rpm

i386:
4d2926158a338aa627b941e3e03e9fbc zebra-0.91a-11.21AS.i386.rpm

ia64:
abb964bf1fe301e0faea7e05c4bd048f zebra-0.91a-11.21AS.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/zebra-0.91a-11.21AS.src.rpm
b6e01074d122bd8b5c4058fb38b7fec9 zebra-0.91a-11.21AS.src.rpm

ia64:
abb964bf1fe301e0faea7e05c4bd048f zebra-0.91a-11.21AS.ia64.rpm

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2006-0525.html

Vendor URL:  www.zebra.org/ (Links to External Site)
Cause:   Authentication error, Exception handling error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  2.1

Message History:   This archive entry is a follow-up to the message listed below.
Jun 2 2006 Quagga Bugs Let Remote Users Obtain or Modify Routing Information and Local Users Deny Service



 Source Message Contents

Subject:  [RHSA-2006:0533-01] Moderate: zebra security update


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ---------------------------------------------------------------------
                   Red Hat Security Advisory

Synopsis:          Moderate: zebra security update
Advisory ID:       RHSA-2006:0533-01
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2006-0533.html
Issue date:        2006-06-01
Updated on:        2006-06-01
Product:           Red Hat Enterprise Linux
CVE Names:         CVE-2006-2223 CVE-2006-2224 CVE-2006-2276 
- ---------------------------------------------------------------------

1. Summary:

Updated zebra packages that fix several security vulnerabilities are now
available.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1 - i386, ia64
Red Hat Linux Advanced Workstation 2.1 - ia64

3. Problem description:

GNU Zebra is a free software that manages TCP/IP based routing protocol.

An information disclosure flaw was found in the way GNU Zebra interprets
RIP REQUEST packets. RIPd in GNU Zebra will respond to RIP REQUEST packets
for RIP versions that have been disabled or that have authentication
enabled, allowing a remote attacker to acquire information about the local
network. (CVE-2006-2223)

A route injection flaw was found in the way GNU Zebra interprets RIPv1
RESPONSE packets when RIPv2 authentication is enabled. It is possible for a
remote attacker to inject arbitrary route information into the RIPd routing
tables. This issue does not affect GNU Zebra configurations where only
RIPv2 is specified. (CVE-2006-2224)

A denial of service flaw was found in GNU Zebra's telnet interface. If an
attacker is able to connect to the GNU Zebra telnet interface, it is
possible to cause GNU Zebra to consume vast quantities of CPU resources by
issuing a malformed 'sh' command. (CVE-2006-2276)

Users of GNU Zebra should upgrade to these updated packages, which contain
backported patches that correct these issues.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

5. Bug IDs fixed (http://bugzilla.redhat.com/):

192757 - CVE-2006-2224 zebra RIPd route injection
192758 - CVE-2006-2276 zebra locks with command sh ip bgp
192759 - CVE-2006-2223 zebra RIPd information disclosure

6. RPMs required:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/zebra-0.91a-11.21AS.src.rpm
b6e01074d122bd8b5c4058fb38b7fec9  zebra-0.91a-11.21AS.src.rpm

i386:
4d2926158a338aa627b941e3e03e9fbc  zebra-0.91a-11.21AS.i386.rpm

ia64:
abb964bf1fe301e0faea7e05c4bd048f  zebra-0.91a-11.21AS.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/zebra-0.91a-11.21AS.src.rpm
b6e01074d122bd8b5c4058fb38b7fec9  zebra-0.91a-11.21AS.src.rpm

ia64:
abb964bf1fe301e0faea7e05c4bd048f  zebra-0.91a-11.21AS.ia64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2223
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2224
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2276
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2006 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFEfyidXlSAg2UNWIIRAhSMAKC7/sdsUK1KQU/M4aceZInC5kdvIACgqyWI
eJw1nBiR1HlXBnyDWBCcbYM=
=QOT2
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC